Package wx :: Class WindowDestroyEvent

[frames | no frames]

## Type WindowDestroyEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        WindowDestroyEvent

The EVT_WINDOW_DESTROY event is sent from the `wx.Window` destructor when the GUI window is destroyed.

When a class derived from `wx.Window` is destroyed its destructor will have already run by the time this event is sent. Therefore this event will not usually be received at all by the window itself. Since it is received after the destructor has run, an object should not try to handle its own wx.WindowDestroyEvent, but it can be used to get notification of the destruction of another window.

Method Summary
WindowDestroyEvent | ``__init__`(self, win)` The EVT_WINDOW_DESTROY event is sent from the `wx.Window` destructor when the GUI window is destroyed.
Window | ``GetWindow`(self)` Returns the window that this event refers to.

Property Summary
| `thisown`: The membership flag
| `Window`: See `GetWindow`

Method Details

### __init__(self, win=None)
(Constructor)

The EVT_WINDOW_DESTROY event is sent from the `wx.Window` destructor when the GUI window is destroyed.

When a class derived from `wx.Window` is destroyed its destructor will have already run by the time this event is sent. Therefore this event will not usually be received at all by the window itself. Since it is received after the destructor has run, an object should not try to handle its own wx.WindowDestroyEvent, but it can be used to get notification of the destruction of another window.

  Parameters:
    `win`
    (type=Window)

  Returns:
    WindowDestroyEvent
  Overrides:
    `wx.CommandEvent.__init__`

### GetWindow(self)

Returns the window that this event refers to.

  Returns:
    Window

Property Details

### thisown

The membership flag

### Window

See `GetWindow`

  Get Method:
    `GetWindow`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:27 2007 | http://epydoc.sf.net